### Function

# Handy AvatarImageLoadFunc

deprecated: 1.2 since: 1.0

#### Declaration

    GdkPixbuf*
    (* HdyAvatarImageLoadFunc) (
      gint size,
      gpointer user_data
    )

#### Description [src]

Callback for loading an `HdyAvatar`‘s image.

The returned `GdkPixbuf` is expected to be square with width and height set to `size`. The image is cropped to a circle without any scaling or transformation.

Available since: 1.0

Deprecated since: 1.2

Use `hdy_avatar_set_loadable_icon()` instead.

#### Parameters

`size`

  Type: `gint`

  The required size of the avatar.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GdkPixbuf`

The pixbuf to use as a custom avatar or `NULL` to fallback to the generated avatar.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.